/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model94
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model94 {
  @SerializedName("is_internal")
  private Boolean isInternal = null;

  @SerializedName("amount")
  private Model63 amount = null;

  @SerializedName("period")
  private Period period = null;

  @SerializedName("description")
  private String description = null;

  public Model94 isInternal(Boolean isInternal) {
    this.isInternal = isInternal;
    return this;
  }

   /**
   * Is the other insurance internal or external. The insurance that covers this incident can be from the same company than the one used for this claim (internal) or from another insurance company (external).
   * @return isInternal
  **/
  @ApiModelProperty(value = "Is the other insurance internal or external. The insurance that covers this incident can be from the same company than the one used for this claim (internal) or from another insurance company (external).")
  public Boolean isIsInternal() {
    return isInternal;
  }

  public void setIsInternal(Boolean isInternal) {
    this.isInternal = isInternal;
  }

  public Model94 amount(Model63 amount) {
    this.amount = amount;
    return this;
  }

   /**
   * Get amount
   * @return amount
  **/
  @ApiModelProperty(value = "")
  public Model63 getAmount() {
    return amount;
  }

  public void setAmount(Model63 amount) {
    this.amount = amount;
  }

  public Model94 period(Period period) {
    this.period = period;
    return this;
  }

   /**
   * Get period
   * @return period
  **/
  @ApiModelProperty(value = "")
  public Period getPeriod() {
    return period;
  }

  public void setPeriod(Period period) {
    this.period = period;
  }

  public Model94 description(String description) {
    this.description = description;
    return this;
  }

   /**
   * Description of the insurance.
   * @return description
  **/
  @ApiModelProperty(value = "Description of the insurance.")
  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model94 model94 = (Model94) o;
    return Objects.equals(this.isInternal, model94.isInternal) &&
        Objects.equals(this.amount, model94.amount) &&
        Objects.equals(this.period, model94.period) &&
        Objects.equals(this.description, model94.description);
  }

  @Override
  public int hashCode() {
    return Objects.hash(isInternal, amount, period, description);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model94 {\n");
    
    sb.append("    isInternal: ").append(toIndentedString(isInternal)).append("\n");
    sb.append("    amount: ").append(toIndentedString(amount)).append("\n");
    sb.append("    period: ").append(toIndentedString(period)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

